Subject: bug#58042: 29.0.50; ASAN use-after-free in re_match_2_internal

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Oct 2022 11:08:10 +0300

> Date: Thu, 6 Oct 2022 09:21:49 +0200
> Cc: [email-masked]
> From: Gerd Möllmann <[email-masked]>
> 
> Not sure what to do with redisplay, or Lisp in general being called from 
> event handlers.

I think the conclusion was that block_input is the solution, and
should be used where necessary.

> I tend to close this bug, and submit a new one, ATM.  Maybe we should at 
> least think a bit more about what the consequences of that are.  Or 
> maybe not, because it seems to "work well enough", and I wouldn't know 
> what to do about this anyway.
> 
> Any preferences?

A new bug or maybe even nothing.  Because we don't have any ideas for
how to solve such a bug in general.